> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL. > > Documentation indexes by section: > - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt > - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt > - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt > - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt > > Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth > Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks > > OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json > MCP server: https://docusign.docs.buildwithfern.com/_mcp/server # ExternalFormFillSessions Resource This resource provides a method that returns a URL for a new external form fill session, based on the `roomId` and `formId` that you specify in the `formFillSessionForCreate` request body. ## Methods supported | Method | Description | | ----------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------- | | [CreateExternalFormFillSession](/docs/rooms-api/reference/forms/externalformfillsessions/createexternalformfillsession) | POST `/restapi/v2/accounts/{accountId}/external_form_fill_sessions` Creates an external form fill session. | ## ExternalFormFillSessions properties | Property | Type | Description | | -------- | ------------ | ----------- | | `url` | string (uri) | | ## API Docs - ExternalFormFillSessions [Create external form fill session](https://developers.docusign.com/docs/rooms-api/reference/forms/externalformfillsessions/createexternalformfillsession.md) ## OpenAPI Specification The raw OpenAPI 3.1 specification for this API is available at: - [OpenAPI JSON](https://developers.docusign.com/openapi.json) - [OpenAPI YAML](https://developers.docusign.com/openapi.yaml)